package com.gh.gamecenter.plugin

import com.android.build.gradle.AppExtension
import org.gradle.api.Plugin
import org.gradle.api.Project

class GhPlugin : Plugin<Project> {

    override fun apply(project: Project) {
        val log = project.logger
        log.error("========================")
        log.error("Javassist修改Class!")
        log.error("========================")
        project.extensions.findByType(AppExtension::class.java)?.registerTransform(GhTransform(project))
    }
}